package com.ssj.service.course.service;

import com.ssj.bean.course.domain.CourseFeedbackFile;
import com.ssj.framework.core.common.service.BaseService;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface ICourseFeedbackFileService extends BaseService<CourseFeedbackFile, String> {

	CourseFeedbackFile findOneData(String libId, String courseDetailId);

	List<String> getRedFlowList3(String libId, String vipId, String courseDetailId);

	Integer getRedFlowCount(String libId, String vipId, String courseDetailsId, Date openTime);

	List<String> getImgList(String libId, String id, String courseDetailsId, Date openTime);

	List<Map<String, Object>> getNextFile(String courseSeriesId,int num,String fileType);
}
